package com.jy.system.service;

import com.jy.system.model.dto.SysDeptDto;
import com.jy.system.model.dto.SysDeptSelectDto;
import com.jy.system.model.vo.SysDeptVo;

import java.util.List;

/**
 * <p>
 * 部门 服务类
 * </p>
 *
 * @author
 * @since 2024-06-20
 */
public interface SysDeptService {

    /**
     * 部门列表
     */
    List<SysDeptVo> getList(SysDeptSelectDto dto);

    /**
     * 部门树形
     */
    List<SysDeptVo> getTree(SysDeptSelectDto dto);

    /**
     * 部门明细
     */
    SysDeptVo getDetail(Long id);

    /**
     * 部门新增
     */
    void add(SysDeptDto dto);

    /**
     * 部门编辑
     */
    void edit(SysDeptDto dto);

    /**
     * 部门删除
     */
    void delete(Long id);

}
